<?php
namespace Teknisa\COZ\Controllers;

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;
use Teknisa\COZ\Services\Pla10501Service;

class Pla10501Controller extends \Zeedhi\Framework\Controller\Report {

    protected $pla10501service;

    protected $reportMapping = array (
    'mPla10501' => 
        array (
            'strategy' => 'QR2',
            'parameterMapping' => 
            array (
                'NRORG'                 => 'P_NRORG',
                'CDCENTRAL'             => 'P_CDCENTRAL',
                'LISTAGRUPFILI'         => 'P_GRUPFILI',
                'LISTAFILIAGREGA'       => 'P_FILIAGREGA',
                'LISTAGRUPSERV'         => 'P_GRUPSERV',
                'LISTASERVFILI'         => 'P_SERVICO',
            ),
        ),
    );

    public function __construct($reportService, Pla10501Service $pla10501service) {
        $this->pla10501service = $pla10501service;
        parent::__construct($reportService);
    }

    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
    	$row = $request->getRow();
        $this->pla10501service->preencheCampos($row);
    }
}